## org.eclipse.emf.ecoretools.diagram.edit.commands
Class EcoreReorientConnectionViewCommand

    java.lang.Object
      org.eclipse.core.commands.operations.AbstractOperation
          org.eclipse.emf.workspace.AbstractEMFOperation
              org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
                  org.eclipse.emf.ecoretools.diagram.edit.commands.EcoreReorientConnectionViewCommand

All Implemented Interfaces:
  org.eclipse.core.commands.operations.IUndoableOperation, org.eclipse.gmf.runtime.common.core.command.ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult

    public class EcoreReorientConnectionViewCommand

extends org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand

Constructor Summary
`EcoreReorientConnectionViewCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain, java.lang.String label)`

Method Summary
`protected org.eclipse.gmf.runtime.common.core.command.CommandResult` `doExecuteWithResult(org.eclipse.core.runtime.IProgressMonitor progressMonitor, org.eclipse.core.runtime.IAdaptable info)`
`java.util.List` `getAffectedFiles()`
`org.eclipse.core.runtime.IAdaptable` `getEdgeAdaptor()`
`void` `setEdgeAdaptor(org.eclipse.core.runtime.IAdaptable edgeAdaptor)`

Methods inherited from class org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
`aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doRedo, doUndo, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult`

Methods inherited from class org.eclipse.emf.workspace.AbstractEMFOperation
`canRedo, canSetOptions, canUndo, didCommit, dispose, execute, getChange, getEditingDomain, getOptions, isReuseParentTransaction, redo, setOptions, setReuseParentTransaction, undo`

Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation
`addContext, canExecute, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.command.ICommand
`setLabel`

Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation
`addContext, canExecute, canRedo, canUndo, dispose, execute, getContexts, getLabel, hasContext, redo, removeContext, undo`

Constructor Detail

### EcoreReorientConnectionViewCommand

    public EcoreReorientConnectionViewCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain,
                                              java.lang.String label)

Method Detail

### getAffectedFiles

    public java.util.List getAffectedFiles()

  Specified by:
    `getAffectedFiles` in interface `org.eclipse.gmf.runtime.common.core.command.ICommand`
  Overrides:
    `getAffectedFiles` in class `org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand`

### getEdgeAdaptor

    public org.eclipse.core.runtime.IAdaptable getEdgeAdaptor()

### setEdgeAdaptor

    public void setEdgeAdaptor(org.eclipse.core.runtime.IAdaptable edgeAdaptor)

### doExecuteWithResult

    protected org.eclipse.gmf.runtime.common.core.command.CommandResult doExecuteWithResult(org.eclipse.core.runtime.IProgressMonitor progressMonitor,
                                                                                            org.eclipse.core.runtime.IAdaptable info)

  Specified by:
    `doExecuteWithResult` in class `org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand`

Copyright 2007 Anyware Technologies. All Rights Reserved.